%define name fpm
%define version 0.56
%define release 1mdk

Summary: Figaro's Password Manager
Name: %name
Version: %{version}
Release: %release
Group: Graphical desktop/GNOME
License: GPL
Source: %name-%version.tar.bz2
URL: http://members.home.net/figaropm/
Buildrequires: libgtk+-devel
Buildroot: %_tmppath/%name-buildroot

%description
Figaro's Password Manager is a program that allows you to securely store the
passwords you use on the web.  Features include:
- Passwords are encrypted with the blowfish algorithm
- Copy passwords or usernames to the clipboard
- Copy passwords or usernames to the primary selection. (And paste them with a
  middle mouse button click)
- If the password is for a web site, FPM can keep track of the URLs of your
  login screens and can automatically launch your browser.  In this capacity,
  FPM acts as a kind of bookmark manager.
- Combine all three features: you can configure FPM to bring you to a web
  login screen, copy your username to the clipboard and your password to the
  primary selection, all with a single button click.
- FPM also has a passord generator that can choose passwords for you.  It
  allows you to determine how long the password should be, and what types of
  characters (lower case, upper case, numbers and symbols) should be used.
  You can even have it avoid ambiguous characters such as a capital O or the
  number zero.
         
%prep

%setup

./autogen.sh

%configure

%build

%make

%install

make DESTDIR=$RPM_BUILD_ROOT install

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="fpm" \
needs="x11" \
icon="other_archiving.png" \
section="Applications/Archiving/Other" \
title="Fpm" \
longtitle="Fpm password manager"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_bindir/*
%_datadir/pixmaps/%name/*
%_menudir/*

%changelog
* Mon Oct 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.56-1mdk
- 0.56
